Subject: Re: BUILT_SOURCES not honoured in parallel build?

From: Reuben Thomas <[email-masked]>
Date: Wed, 12 Apr 2023 18:14:09 +0100

On Wed, 12 Apr 2023 at 17:59, Reuben Thomas <[email-masked]> wrote:

> On Wed, 12 Apr 2023 at 16:17, Reuben Thomas <[email-masked]> wrote:
>
>> I am bootstrapping GNU a2ps git master[1] with automake 1.16.5. When I do
>> a parallel build (in my case, MAKEFLAGS=-j4), I get build failures
>> sometimes:
>>
>
> In fact, I don't need to do a parallel build, just build serially from a
> fresh git checkout, to reproduce this problem. It seems that I must be
> doing something wrong, but I can't work out what!
>

I think I've worked it out: I need to add the .c file that is generated
from the .y file, not the .h file, to BUILT_SOURCES. Certainly, doing that
fixes the problem.

-- 
https://rrt.sc3d.org